{% extends 'base.html' %}

{% block css %}
<link rel="stylesheet" href="/static/css/project_details.css">
<link rel="stylesheet" href="/static/lightbox2/css/lightbox.min.css"> 

{% endblock %}

{% block content %}
  <div class="jumbotron jumbotron-fluid">
    <div class="container">
      {% if current_user.is_authenticated and current_user.urole == "Admin" %}
    <!--
    {% if not current_user.is_anonymous %}
    {% endif %}
    -->
      <button type="button" class="btn btn-danger wow fadeIn" data-toggle="modal" data-target="#myModal">
        Supprimer
      </button>
      <br>

      {% endif %}
      <div class="row">
        <div class="col-sm-12 features section-description wow fadeIn">
          <h1 class="display-4">{{project.title}}</h1>
          <div class="divider-1">
            <div class="line"></div>
          </div>
        </div>
      </div>
      <p class="center lead wow fadeIn"><b>{{project.body}}</b></p>
      <div>
        <div id="fancybar" class="wow fadeIn">
          <div class="purple"></div>
          <div class="blue"></div>
          <div class="green"></div>
          <div class="olive"></div>
          <div class="yellow"></div>
          <div class="red"></div>
        </div>
      </div>
      <br>

      <div class="lead wow fadeIn">
        {%for keyword in project.keywords.all() %}
        {% if loop.index % 2 %}
        <span class="badge badge-pill badge-primary">{{ keyword.name }}</span>
        {% else %}
        <span class="badge badge-pill badge-dark">{{ keyword.name }}</span>
        {% endif %}
        {%endfor%}
      </div>
    </div>
  </div>

  <h3 class="wow fadeIn">Gallerie d'image</h3>
  <div class="divider-1">
    <div class="line"></div>
  </div>
  <div class="row">
    <div class="offset-2 col-md-8">
      <div class="card-columns">
      {% for image in project.images.all() %}
        <div class="card wow fadeIn" >
          <a class="example-image-link" href="/static/uploads/{{image.image_name}}" data-lightbox="example-set">
            <img class="example-image card-img-top" src="/static/uploads/{{image.image_name}}"></img>
          </a>
        </div>
      {% endfor %}
      </div>
      <br>
    </div>
  </div>

  {% if current_user.is_authenticated and current_user.urole == "Admin" %}
  <!-- The Modal -->
  <form method="post" action="{{ url_for('delete_project', project_id=project.id) }}">
    <div class="modal" id="myModal">
      <div class="modal-dialog">
        <div class="modal-content">
        
          <!-- Modal Header -->
          <div class="modal-header">
            <h4 class="modal-title">Confirmez la suppression du projet</h4>
            <button type="button" class="close" data-dismiss="modal">&times;</button>
          </div>
          
          <!-- Modal footer -->
          <div class="modal-footer">
            <button type="button" class="btn btn-light" data-dismiss="modal">Close</button>
            <input type="submit" class="btn btn-danger" name="delete" value="Supprimer">
          </div>
        </div>
      </div>
    </div>
  </form>
  {% endif %}

{% endblock content %}

{% block javascript %}
  <script src="/static/lightbox2/js/lightbox.js"></script>

  <script>
    lightbox.option({
      'resizeDuration': 400,
      'imageFadeDuration': 400,
      'wrapAround': true,
      'albumLabel': "Image %1 sur %2"
    })
  </script>
{% endblock javascript %}
